Commit d08b56bb authored by Thomas Vincent's avatar Thomas Vincent
Browse files

Updated continuous integration configuration

parent cd7e1d40
......@@ -69,8 +69,6 @@ manylinux1_test_py27:
image: python:2.7
tags:
- linux
dependencies:
- manylinux1_wheels
before_script:
- ls -l artifacts
script:
......@@ -78,9 +76,9 @@ manylinux1_test_py27:
- pip install numpy --only-binary numpy
- pip install --find-links artifacts/ --only-binary xsocs xsocs
- python run_tests.py --installed -v -v -v
needs: ["manylinux1_wheels"]
.test_template: &test_template_defintion
.test_template: &test_template_definition
stage: test
script:
# numpy is needed to build xrayutilities
......@@ -89,68 +87,61 @@ manylinux1_test_py27:
- python run_tests.py --installed -v -v -v
.manylinux1_test:
extends: .test_template
tags:
- linux
before_script:
- ls -l artifacts
dependencies:
- manylinux1_wheels
manylinux1_test_cp35:
extends: .manylinux1_test
image: python:3.5
<<: *test_template_definition
extends: .manylinux1_cp35_base
needs: ["manylinux1_wheels"]
manylinux1_test_cp36:
extends: .manylinux1_test
image: python:3.6
<<: *test_template_definition
extends: .manylinux2014_cp36_base
needs: ["manylinux1_wheels"]
only:
- master
manylinux1_test_cp37:
extends: .manylinux1_test
image: python:3.7
<<: *test_template_definition
extends: .manylinux2014_cp37_base
needs: ["manylinux1_wheels"]
only:
- master
manylinux1_test_cp38:
extends: .manylinux1_test
image: python:3.8
<<: *test_template_definition
extends: .manylinux2014_cp38_base
needs: ["manylinux1_wheels"]
only:
- master
manylinux1_test_cp39:
extends: .manylinux1_test
image: python:3.9
<<: *test_template_definition
extends: .manylinux2014_cp39_base
needs: ["manylinux1_wheels"]
windows_test_python36:
<<: *test_template_defintion
<<: *test_template_definition
extends: .windows_base_python36
dependencies:
- windows_wheel_python36
needs: ["windows_wheel_python36"]
windows_test_python37:
<<: *test_template_defintion
<<: *test_template_definition
extends: .windows_base_python37
dependencies:
- windows_wheel_python37
needs: ["windows_wheel_python37"]
only:
- master
windows_test_python38:
<<: *test_template_defintion
<<: *test_template_definition
extends: .windows_base_python38
dependencies:
- windows_wheel_python38
needs: ["windows_wheel_python38"]
only:
- master
windows_test_python39:
<<: *test_template_defintion
<<: *test_template_definition
extends: .windows_base_python39
dependencies:
- windows_wheel_python39
needs: ["windows_wheel_python39"]
# Deploy
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment